Subject: Ticket Assigned - Refund not received yet
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 24 Mar 2021 12:14:31 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund not received yet  Hi I made an order
And in my order two item came wrong, as I didn’t receive the same items as I ordered so I returned them
This is what i ordered :
And this what I received :
I was refunded for only one item the (first picture) and when I called (twice) to ask for the other refund they tell me that they never received it !!! I handed them both to the driver.
I don’t understand and still waiting for my refund
Please explain why is it taking so long ...
maybe as I received the wrong item and returned it they didn’t identify it as MY return ?
Anyhow please do proceed to my refund as soon as possible .

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2279907